View Issue Details

IDProjectCategoryView StatusLast Update
0001837SOGoBackend Calendarpublic2012-06-20 10:08
Reporterkaiser Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.17Fixed in Version1.3.17 
Summary0001837: Can't create repeating event with resource reservation
Description

Hi,
last time, I have reported bug when you can create reservation with repeating event... the situation is now opposite. You can't create any repeating event with resource reservation.

We log MySQL query while creating that repeating event and got following response: SOGo ask database if there are some future events within one year. But then do not filter events that are at same time. So every event cause exception "maximal number of current reservation was achieved"...

How to reproduce bug:
1) Make any repeating event and invite resource
2) Set event repeating
3) Click on save and sogo said "maximal number of current reservation was achieved" even if there are no event in same time.

Thank you for solution
Petr Kaiser

TagsNo tags attached.

Relationships

has duplicate 0001898 closed reccuring event with ressource conflicts with another reccuring event the ressource already has in it's calendar 

Activities

ludovic

ludovic

2012-06-18 08:58

administrator   ~0004054

Last edited: 2012-06-18 08:59

I can confirm the issue. We'll fix it for the next release and create a test case to make sure we no longer get a regression on this.

kaiser

kaiser

2012-06-18 09:05

reporter   ~0004055

Thank you! If you want i can test it in nightly release.

ludovic

ludovic

2012-06-20 10:08

administrator   ~0004081

Fixed - http://mtn.inverse.ca/revision/diff/b532b841f572a64aa9b471da32a51bb939539334/with/7658ec99af152b2743393d20c3c4f2c23610ec4c

Issue History

Date Modified Username Field Change
2012-06-12 12:48 kaiser New Issue
2012-06-18 08:58 ludovic Note Added: 0004054
2012-06-18 08:59 ludovic Note Edited: 0004054
2012-06-18 08:59 ludovic Target Version => 1.3.17
2012-06-18 09:05 kaiser Note Added: 0004055
2012-06-20 10:08 ludovic Note Added: 0004081
2012-06-20 10:08 ludovic Status new => resolved
2012-06-20 10:08 ludovic Fixed in Version => 1.3.17
2012-06-20 10:08 ludovic Resolution open => fixed
2012-06-20 10:08 ludovic Assigned To => ludovic
2012-06-20 10:08 ludovic Status resolved => closed
2012-07-25 09:35 francis Relationship added has duplicate 0001898